<div id="workers" class="page-layout carded fullwidth inner-scroll">
    <!-- TOP BACKGROUND -->
    <div class="top-bg accent"></div>
    <!-- / TOP BACKGROUND -->
    <!-- CENTER -->
    <div class="center">
        <!-- HEADER -->
        <div class="header accent small" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-sm="row"
            fxLayoutAlign.gt-sm="space-between center">
            <!-- APP TITLE -->
            <div class="logo mb-24 mb-md-0" fxLayout="row" fxLayoutAlign="start center"
                style="max-height: 90px !important; min-height: 90px !important; margin-top: -20px;">
                <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                    person
                </mat-icon>
                <div style="background-color:white;" class="search-wrapper mx-32 mx-md-0">
                    <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                        <mat-icon style="color:#444;">search</mat-icon>
                        <input (keyup)="applyFilter($event.target.value)" #filter placeholder="Search for a worker">
                    </div>
                </div>
            </div>
            <div>
                <mat-paginator style="border-radius: 32px;height: 50px;
                margin-top: -21px; align-items: center;display: flex;"  #paginatorRef  [pageSize]="10" [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator>
            </div>
        </div>
        <div flLayout="row" style="margin-top: -23px" fxLayoutAlign="start center">
            <nav mat-tab-nav-bar [backgroundColor]="background">
                <a mat-tab-link *ngFor="let link of links" style="color: white;" (click)="displayWorkersBy(link)"
                    [active]="activeLink == link"> {{link}} </a>
                <!-- <a mat-tab-link disabled>Disabled Link</a> -->
            </nav>
        </div>
        <!-- / HEADER -->

        <!-- ADD BUTTON -->
        <button class="add-button" mat-fab color="primary" id="add-button" (click)="addWorker()">
            <mat-icon>add</mat-icon>
        </button>
        <button class="scroll-button" mat-fab color="primary" id="add-button" (click)="container.scrollTo(0,0)">
            <mat-icon>arrow_upward</mat-icon>
        </button>

        <!-- CONTENT CARD -->
        <div #container class="content-card" style="overflow: auto;
        max-height: 608px;
        margin-top: -60px;">
            <table mat-table [dataSource]="dataSource" multiTemplateDataRows matSort class="mat-elevation-z8">
                <!-- First Name Column -->
                <ng-container matColumnDef="id">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Id</mat-header-cell>
                    <mat-cell *matCellDef="let allWorkers;let i=dataIndex">
                        <p class="text-truncate">{{ paginatorRef.pageIndex * paginatorRef.pageSize + i + 1}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="name">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Name</mat-header-cell>
                    <mat-cell *matCellDef="let allWorkers">
                        <p class="text-truncate">{{allWorkers.name}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="paymentreport" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Payment-Report</mat-header-cell>
                    <mat-cell *matCellDef="let allWorkers">
                        <img src="/assets/images/money.svg" alt="" srcset="" height="30px" width="40%" (click)="paymentsreports(allWorkers)">
                        <!-- <mat-icon (click)="paymentsreports(allWorkers)">home</mat-icon> -->
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="carsreport" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Washed Cars</mat-header-cell>
                    <mat-cell *matCellDef="let allWorkers">
                        <img src="/assets/images/car_icon.svg" alt="" srcset="" height="30px" width="40%" (click)="washedCarsReport(allWorkers)">
                        <!-- <mat-icon (click)="paymentsreports(allWorkers)">home</mat-icon> -->
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="mobile">
                    <mat-header-cell *matHeaderCellDef mat-sort-header style="margin-left: -60px;">Mobile</mat-header-cell>
                    <mat-cell *matCellDef="let allWorkers" style="margin-left: -60px;">
                        <p class="text-truncate">{{allWorkers.mobile}}</p>
                    </mat-cell>
                </ng-container>
                
                <ng-container matColumnDef="start_date">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Start_Date</mat-header-cell>
                    <mat-cell *matCellDef="let allWorkers">
                        <p class="text-truncate">{{allWorkers.start_date | date:'MM/dd/yyyy'}}</p>
                    </mat-cell>
                </ng-container>
                
                <ng-container matColumnDef="edit">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>
                        <span *ngIf="activeLink == 'Active'">
                            Edit
                        </span>
                    </mat-header-cell>
                    <mat-cell style="cursor: pointer;min-width: 40px;" *matCellDef="let allWorkers">
                        <mat-icon *ngIf="allWorkers.status==1" (click)="editWorker(allWorkers)">edit</mat-icon>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="delete">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>
                        <span *ngIf="activeLink=='Active'">
                            Delete
                        </span>
                    </mat-header-cell>
                    <mat-cell style="cursor: pointer;min-width: 40px;" *matCellDef="let allWorkers">
                        <mat-icon style="color: red;" *ngIf="allWorkers.status==1" (click)='deleteWorker(allWorkers)'>delete</mat-icon>
                        <button mat-raised-button style="background-color: #F1E983;font-size:12px;"
                            *ngIf="allWorkers.status==0"
                            (click)="activateWorker(allWorkers)">Activate</button>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="expand">
                    <mat-header-cell *matHeaderCellDef mat-sort-header></mat-header-cell>
                    <mat-cell *matCellDef="let allWorkers" style="padding: 0;">
                        <div>
                            <img class="expand-imag" src="assets/svgs/iconmonstr-angel-down-thin.svg" />
                        </div>
                    </mat-cell>
                </ng-container>

                <ng-container matColumnDef="expandedDetail">
                    <!-- <td mat-cell *matCellDef="let element" [attr.colspan]="displayedColumns.length"> -->
                    <div style="width: 100%;" mat-cell *matCellDef="let allWorkers"
                        [attr.colspan]="displayedColumns.length" class="example-element-detail"
                        [@detailExpand]="allWorkers == expandedElement ? 'expanded' : 'collapsed'">
                        <mat-card style="width: 100%; background: #efebeb;">
                            <mat-list>
                                <!-- <mat-list-item>
                                    <h3>Buildings:-</h3>
                                </mat-list-item> -->
                                <mat-list-item *ngIf="allWorkers.status==1">
                                    <div fxLayout="row">
                                        <div>
                                            <mat-chip-list *ngIf="allWorkers.building_status!=null">
                                                <div *ngFor="let building of allWorkers.buildings"  >
                                                    <mat-chip   [ngStyle]="{'background-color':building.end_date!=null ? '#ca6969' : '#2d323e','color':building.end_date!=null ? 'black' : 'white' }">{{building.building_name}},
                                                        {{building.location}}
                                                    </mat-chip>
                                                    
                                                </div>
                                            </mat-chip-list>
                                            <div style="margin-left:250px">
                                                <mat-chip-list *ngIf="allWorkers.building_status==null">
                                                    <mat-chip class="primary">
                                                        No Buildings assigned to {{allWorkers.name}}
                                                    </mat-chip>
                                                </mat-chip-list>
                                            </div>
                                            <!-- <h4 style="text-align:left">{{building.building_name}},{{building.location}}</h4> -->
                                        </div>
                                    </div>

                                </mat-list-item>
                            </mat-list>
                        </mat-card>
                    </div>
                </ng-container>





                <mat-header-row *matHeaderRowDef=" displayedColumns"> </mat-header-row>
                <!-- <mat-row *matRowDef="let allWorkers; columns: displayedColumns;"> </mat-row> -->
                <mat-row *matRowDef="let allWorkers; columns: displayedColumns;" class="example-element-row"
                    [class.example-expanded-row]="expandedElement === allWorkers"
                    [ngClass]="allWorkers.status == 0?'deletedWorker':''"
                    (click)="expandedElement = expandedElement === allWorkers ? null : allWorkers"> </mat-row>
                <mat-row mat-row *matRowDef="let row; columns: ['expandedDetail']"
                    style="background: #e5e5da;min-height: 0;" class="example-detail-row"></mat-row>
            </table>
            <!-- <mat-paginator [pageSize]="10"  #paginatorRef [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator> -->

        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->

</div>